=== modified file 'bzrlib/_patiencediff_c.c'
--- bzrlib/_patiencediff_c.c	2010-03-11 04:33:41 +0000
+++ bzrlib/_patiencediff_c.c	2010-12-02 09:46:15 +0000
@@ -47,8 +47,8 @@
 
 
 /* malloc returns NULL on some platforms if you try to allocate nothing,
- * causing <https://bugs.edge.launchpad.net/bzr/+bug/511267> and
- * <https://bugs.edge.launchpad.net/bzr/+bug/331095>.  On glibc it passes, but
+ * causing <https://bugs.launchpad.net/bzr/+bug/511267> and
+ * <https://bugs.launchpad.net/bzr/+bug/331095>.  On glibc it passes, but
  * let's make it fail to aid testing. */
 #define guarded_malloc(x) ( (x) ? malloc(x) : NULL )
 

=== modified file 'bzrlib/plugins/launchpad/lp_api.py'
--- bzrlib/plugins/launchpad/lp_api.py	2010-11-23 14:54:33 +0000
+++ bzrlib/plugins/launchpad/lp_api.py	2010-12-02 10:41:05 +0000
@@ -44,7 +44,6 @@
     raise errors.DependencyNotPresent('launchpadlib', e)
 
 from launchpadlib.launchpad import (
-    EDGE_SERVICE_ROOT,
     STAGING_SERVICE_ROOT,
     Launchpad,
     )
@@ -81,7 +80,6 @@
 
 LAUNCHPAD_API_URLS = {
     'production': LPNET_SERVICE_ROOT,
-    'edge': EDGE_SERVICE_ROOT,
     'staging': STAGING_SERVICE_ROOT,
     'dev': 'https://api.launchpad.dev/beta/',
     }
@@ -90,8 +88,8 @@
 def _get_api_url(service):
     """Return the root URL of the Launchpad API.
 
-    e.g. For the 'edge' Launchpad service, this function returns
-    launchpadlib.launchpad.EDGE_SERVICE_ROOT.
+    e.g. For the 'staging' Launchpad service, this function returns
+    launchpadlib.launchpad.STAGING_SERVICE_ROOT.
 
     :param service: A `LaunchpadService` object.
     :return: A URL as a string.

=== modified file 'bzrlib/plugins/launchpad/lp_propose.py'
--- bzrlib/plugins/launchpad/lp_propose.py	2010-11-23 14:54:33 +0000
+++ bzrlib/plugins/launchpad/lp_propose.py	2010-12-02 10:41:05 +0000
@@ -74,7 +74,7 @@
         if staging:
             lp_instance = 'staging'
         else:
-            lp_instance = 'edge'
+            lp_instance = 'production'
         service = lp_registration.LaunchpadService(lp_instance=lp_instance)
         self.launchpad = lp_api.login(service)
         self.source_branch = lp_api.LaunchpadBranch.from_bzr(

=== modified file 'bzrlib/plugins/launchpad/lp_registration.py'
--- bzrlib/plugins/launchpad/lp_registration.py	2010-05-20 18:23:10 +0000
+++ bzrlib/plugins/launchpad/lp_registration.py	2010-12-02 09:23:10 +0000
@@ -86,7 +86,6 @@
 
     LAUNCHPAD_DOMAINS = {
         'production': 'launchpad.net',
-        'edge': 'edge.launchpad.net',
         'staging': 'staging.launchpad.net',
         'demo': 'demo.launchpad.net',
         'dev': 'launchpad.dev',
@@ -98,7 +97,8 @@
     for instance, domain in LAUNCHPAD_DOMAINS.iteritems():
         LAUNCHPAD_INSTANCE[instance] = 'https://xmlrpc.%s/bazaar/' % domain
 
-    # Previously 'edge' was used to avoid a launchpad bug with redirection
+    # We use production as the default because edge has been deprecated circa
+    # 2010-11 (see bug https://bugs.launchpad.net/bzr/+bug/583667)
     DEFAULT_INSTANCE = 'production'
     DEFAULT_SERVICE_URL = LAUNCHPAD_INSTANCE[DEFAULT_INSTANCE]
 

=== modified file 'bzrlib/plugins/launchpad/test_lp_service.py'
--- bzrlib/plugins/launchpad/test_lp_service.py	2010-05-20 18:23:10 +0000
+++ bzrlib/plugins/launchpad/test_lp_service.py	2010-11-26 17:33:55 +0000
@@ -54,11 +54,6 @@
         self.assertEqual('https://xmlrpc.staging.launchpad.net/bazaar/',
                          service.service_url)
 
-    def test_edge_service(self):
-        service = LaunchpadService(lp_instance='edge')
-        self.assertEqual('https://xmlrpc.edge.launchpad.net/bazaar/',
-                         service.service_url)
-
     def test_dev_service(self):
         service = LaunchpadService(lp_instance='dev')
         self.assertEqual('https://xmlrpc.launchpad.dev/bazaar/',
@@ -171,13 +166,6 @@
         self.assertEqual(
             'https://code.staging.launchpad.net/~foo/bar/baz', web_url)
 
-    def test_edge_url(self):
-        service = LaunchpadService(lp_instance='edge')
-        web_url = service.get_web_url_from_branch_url(
-            'bzr+ssh://bazaar.launchpad.net/~foo/bar/baz')
-        self.assertEqual(
-            'https://code.edge.launchpad.net/~foo/bar/baz', web_url)
-
     def test_dev_url(self):
         service = LaunchpadService(lp_instance='dev')
         web_url = service.get_web_url_from_branch_url(

=== modified file 'bzrlib/plugins/launchpad/test_register.py'
--- bzrlib/plugins/launchpad/test_register.py	2010-05-20 18:23:10 +0000
+++ bzrlib/plugins/launchpad/test_register.py	2010-11-26 17:33:55 +0000
@@ -175,7 +175,7 @@
         self.assertEquals(out, 'Branch registered.\n')
 
     def test_onto_transport(self):
-        """Test how the request is sent by transmitting across a mock Transport"""
+        """How the request is sent by transmitting across a mock Transport"""
         # use a real transport, but intercept at the http/xml layer
         transport = InstrumentedXMLRPCTransport(self, expect_auth=True)
         service = LaunchpadService(transport)
@@ -200,7 +200,7 @@
         self.assertTrue(transport.got_request)
 
     def test_onto_transport_unauthenticated(self):
-        """Test how an unauthenticated request is transmitted across a mock Transport"""
+        """An unauthenticated request is transmitted across a mock Transport"""
         transport = InstrumentedXMLRPCTransport(self, expect_auth=False)
         service = LaunchpadService(transport)
         resolve = ResolveLaunchpadPathRequest('bzr')

=== modified file 'bzrlib/revisiontree.py'
--- bzrlib/revisiontree.py	2010-05-06 23:41:35 +0000
+++ bzrlib/revisiontree.py	2010-11-29 23:35:13 +0000
@@ -110,7 +110,7 @@
     def is_executable(self, file_id, path=None):
         ie = self._inventory[file_id]
         if ie.kind != "file":
-            return None
+            return False
         return ie.executable
 
     def has_filename(self, filename):

=== modified file 'bzrlib/tests/per_tree/__init__.py'
--- bzrlib/tests/per_tree/__init__.py	2010-08-21 16:06:24 +0000
+++ bzrlib/tests/per_tree/__init__.py	2010-12-02 10:41:05 +0000
@@ -381,6 +381,7 @@
         'get_symlink_target',
         'inv',
         'iter_search_rules',
+        'is_executable',
         'list_files',
         'locking',
         'path_content_summary',

=== added file 'bzrlib/tests/per_tree/test_is_executable.py'
--- bzrlib/tests/per_tree/test_is_executable.py	1970-01-01 00:00:00 +0000
+++ bzrlib/tests/per_tree/test_is_executable.py	2010-11-29 23:35:13 +0000
@@ -0,0 +1,37 @@
+# Copyright (C) 2010 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+
+from bzrlib.tests import (
+    per_tree,
+    SymlinkFeature,
+    )
+
+
+class TestIsExecutable(per_tree.TestCaseWithTree):
+
+    def test_is_executable_dir(self):
+        tree = self.get_tree_with_subdirs_and_all_supported_content_types(
+            False)
+        tree.lock_read()
+        self.addCleanup(tree.unlock)
+        self.assertEqual(False, tree.is_executable('1top-dir'))
+
+    def test_is_executable_symlink(self):
+        self.requireFeature(SymlinkFeature)
+        tree = self.get_tree_with_subdirs_and_all_content_types()
+        tree.lock_read()
+        self.addCleanup(tree.unlock)
+        self.assertEqual(False, tree.is_executable('symlink'))

=== modified file 'bzrlib/tests/test_lockdir.py'
--- bzrlib/tests/test_lockdir.py	2010-09-27 07:24:54 +0000
+++ bzrlib/tests/test_lockdir.py	2010-12-02 09:23:10 +0000
@@ -741,7 +741,7 @@
     def test_corrupt_lockdir_info(self):
         """We can cope with corrupt (and thus unparseable) info files."""
         # This seems like a fairly common failure case too - see
-        # <https://bugs.edge.launchpad.net/bzr/+bug/619872> for instance.
+        # <https://bugs.launchpad.net/bzr/+bug/619872> for instance.
         # In particular some systems tend to fill recently created files with
         # nul bytes after recovering from a system crash.
         t = self.get_transport()

=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2010-11-19 08:34:39 +0000
+++ bzrlib/tests/test_transform.py	2010-12-02 10:41:05 +0000
@@ -2381,7 +2381,7 @@
                   ('TREE_ROOT', 'TREE_ROOT'), ('a', 'a'), ('file', 'file'),
                   (False, False))
 ROOT_ENTRY = ('TREE_ROOT', ('', ''), False, (True, True), (None, None),
-              ('', ''), ('directory', 'directory'), (False, None))
+              ('', ''), ('directory', 'directory'), (False, False))
 
 
 class TestTransformPreview(tests.TestCaseWithTransport):
@@ -2474,13 +2474,13 @@
         revision_tree, preview_tree = self.get_tree_and_preview_tree()
         changes = preview_tree.iter_changes(revision_tree,
                                             specific_files=[''])
-        self.assertEqual([ROOT_ENTRY, A_ENTRY], list(changes))
+        self.assertEqual([A_ENTRY], list(changes))
 
     def test_want_unversioned(self):
         revision_tree, preview_tree = self.get_tree_and_preview_tree()
         changes = preview_tree.iter_changes(revision_tree,
                                             want_unversioned=True)
-        self.assertEqual([ROOT_ENTRY, A_ENTRY], list(changes))
+        self.assertEqual([A_ENTRY], list(changes))
 
     def test_ignore_extra_trees_no_specific_files(self):
         # extra_trees is harmless without specific_files, so we'll silently

=== modified file 'bzrlib/transport/ftp/__init__.py'
--- bzrlib/transport/ftp/__init__.py	2010-08-30 07:42:12 +0000
+++ bzrlib/transport/ftp/__init__.py	2010-12-02 10:43:55 +0000
@@ -203,7 +203,7 @@
             # Microsoft FTP-Service RNFR reply if file not found
             or (s.startswith('550 ') and 'unable to rename to' in extra)
             # if containing directory doesn't exist, suggested by
-            # <https://bugs.edge.launchpad.net/bzr/+bug/224373>
+            # <https://bugs.launchpad.net/bzr/+bug/224373>
             or (s.startswith('550 ') and "can't find folder" in s)
             ):
             raise errors.NoSuchFile(path, extra=extra)

=== modified file 'bzrlib/workingtree_4.py'
--- bzrlib/workingtree_4.py	2010-08-03 13:31:06 +0000
+++ bzrlib/workingtree_4.py	2010-12-02 10:41:05 +0000
@@ -1867,7 +1867,7 @@
     def is_executable(self, file_id, path=None):
         ie = self.inventory[file_id]
         if ie.kind != "file":
-            return None
+            return False
         return ie.executable
 
     def is_locked(self):

=== modified file 'doc/developers/bug-handling.txt'
--- doc/developers/bug-handling.txt	2010-05-31 19:33:05 +0000
+++ doc/developers/bug-handling.txt	2010-12-02 09:46:15 +0000
@@ -19,14 +19,14 @@
 Links
 *****
 
-* `bzr bugs home page <https://bugs.edge.launchpad.net/bzr>`_.
-
-* `Critical bugs <https://bugs.edge.launchpad.net/bzr/+bugs?search=Search&field.importance=Critical&field.status=New&field.status=Incomplete&field.status=Confirmed&field.status=Triaged&field.status=In+Progress&field.status=Fix+Committed>`_.
-
-* `Open bugs by importance <https://bugs.edge.launchpad.net/bzr/+bugs>`_.
+* `bzr bugs home page <https://bugs.launchpad.net/bzr>`_.
+
+* `Critical bugs <https://bugs.launchpad.net/bzr/+bugs?search=Search&field.importance=Critical&field.status=New&field.status=Incomplete&field.status=Confirmed&field.status=Triaged&field.status=In+Progress&field.status=Fix+Committed>`_.
+
+* `Open bugs by importance <https://bugs.launchpad.net/bzr/+bugs>`_.
 
 * `Open bugs most recently changed first
-  <https://bugs.edge.launchpad.net/bzr/+bugs?field.searchtext=&orderby=-date_last_updated&search=Search&field.status%3Alist=NEW&field.status%3Alist=INCOMPLETE_WITH_RESPONSE&field.status%3Alist=INCOMPLETE_WITHOUT_RESPONSE&field.status%3Alist=CONFIRMED&field.status%3Alist=TRIAGED&field.status%3Alist=INPROGRESS&field.status%3Alist=FIXCOMMITTED&field.assignee=&field.bug_reporter=&field.omit_dupes=on&field.has_patch=&field.has_no_package=>`_.
+  <https://bugs.launchpad.net/bzr/+bugs?field.searchtext=&orderby=-date_last_updated&search=Search&field.status%3Alist=NEW&field.status%3Alist=INCOMPLETE_WITH_RESPONSE&field.status%3Alist=INCOMPLETE_WITHOUT_RESPONSE&field.status%3Alist=CONFIRMED&field.status%3Alist=TRIAGED&field.status%3Alist=INPROGRESS&field.status%3Alist=FIXCOMMITTED&field.assignee=&field.bug_reporter=&field.omit_dupes=on&field.has_patch=&field.has_no_package=>`_.
 
 * `Most commonly duplicated bugs <http://tinyurl.com/bzr-bugs-by-dupes>`_.
 
@@ -228,7 +228,7 @@
 ***************
 
 It's possible to target a bug to a milestone, eg
-<https://bugs.edge.launchpad.net/bzr/+milestone/1.16>.  We use this to help the
+<https://bugs.launchpad.net/bzr/+milestone/1.16>.  We use this to help the
 release manager know what **must** be merged to make the release.
 
 Therefore, we don't target bugs that we'd like to have fixed or that could
@@ -313,16 +313,18 @@
     virtual filesystem for http, sftp, etc
 
 trivial
-    should be very easy to fix (10-20 minutes) and easily landed: typically just spelling errors and the like
+    should be very easy to fix (10-20 minutes) and easily landed: typically 
+    just spelling errors and the like
 
 ui
     bugs relating to the bzr user interface, e.g. confusing error messages.
 
 win32
-    bugs that mainly affects Windows. Also there is cygwin and win98 tags for marking specific bugs.
+    bugs that mainly affects Windows. Also there is cygwin and win98 tags for 
+    marking specific bugs.
 
 You can see the full list of tags in use at
-<https://bugs.edge.launchpad.net/bzr/+bugs>.  As of September 2008 the
-list is on the right.
+<https://bugs.launchpad.net/bzr/+bugs>.  As of September 2008 the
+list is on the right. 
 
 .. vim: ft=rst

=== modified file 'doc/developers/content-filtering.txt'
--- doc/developers/content-filtering.txt	2010-08-13 19:08:57 +0000
+++ doc/developers/content-filtering.txt	2010-12-02 09:46:15 +0000
@@ -59,7 +59,7 @@
 which that cache is valid.  This implies that the stored size will
 in general be different to the size in the packed stat.  (However, it
 may not always do this correctly - see
-<https://bugs.edge.launchpad.net/bzr/+bug/418439>.)
+<https://bugs.launchpad.net/bzr/+bug/418439>.)
 
 The dirstate is given a SHA1Provider instance by its tree.  This class
 can calculate the (canonical) hash and size given a filename.  This

=== modified file 'doc/developers/contribution-quickstart.txt'
--- doc/developers/contribution-quickstart.txt	2010-10-01 03:19:52 +0000
+++ doc/developers/contribution-quickstart.txt	2010-12-02 10:41:05 +0000
@@ -26,7 +26,7 @@
 you should set it to "In Progress" and if you wish assign it to yourself.
 
 You might like to start with a bug tagged `easy
-<https://bugs.edge.launchpad.net/bzr/+bugs?field.tag=easy>`_.
+<https://bugs.launchpad.net/bzr/+bugs?field.tag=easy>`_.
 
 Making a branch
 ---------------

=== modified file 'doc/developers/ec2.txt'
--- doc/developers/ec2.txt	2009-12-02 20:34:07 +0000
+++ doc/developers/ec2.txt	2010-12-02 09:42:45 +0000
@@ -125,9 +125,9 @@
 * Install the rdesktop client, to actually access the machine.
 
 * Possibly read some of the `EC2 documentation`_ for background.
-
-.. _`bug 330930`: https://bugs.edge.launchpad.net/ubuntu/+bug/330930
-.. _`Amazon EC2 API tools`:
+   
+.. _`bug 330930`: https://bugs.launchpad.net/ubuntu/+bug/330930 
+.. _`Amazon EC2 API tools`: 
      http://developer.amazonwebservices.com/connect/entry.jspa?externalID=368&categoryID=88
 .. _`EC2 documentation`: http://aws.amazon.com/
 .. _`ami-bdfe19d4`:

=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2010-10-13 08:08:58 +0000
+++ doc/developers/releasing.txt	2010-12-02 10:41:05 +0000
@@ -93,11 +93,11 @@
    the release branch.
 
 #. If you made a new series, add milestones at
-   <https://edge.launchpad.net/bzr/x.y/+addmilestone> to that series for
+   <https://launchpad.net/bzr/x.y/+addmilestone> to that series for
    the beta release, release candidate and the final release, and their
    expected dates.
 
-#. Create a new milestone <https://edge.launchpad.net/bzr/x.y/+addmilestone>
+#. Create a new milestone <https://launchpad.net/bzr/x.y/+addmilestone>
    and add information about this release.  We will not use it yet, but it
    will be available for targeting or nominating bugs.
 
@@ -195,8 +195,8 @@
 
      ./tools/check-newsbugs.py doc/en/release-notes/bzr-x.y.txt
 
-   (But note there will be many false positives, and this script may be
-   flaky <https://bugs.edge.launchpad.net/bzr/+bug/354985>.  Don't let
+   (But note there can be some false positives, and this script may be
+   flaky <https://bugs.launchpad.net/bzr/+bug/354985>.  Don't let
    this slow you down too much.)
 
 #. Commit these changes to the release branch, using a command like::

=== modified file 'doc/en/release-notes/bzr-1.18.txt'
--- doc/en/release-notes/bzr-1.18.txt	2010-10-08 08:15:14 +0000
+++ doc/en/release-notes/bzr-1.18.txt	2010-12-02 10:43:55 +0000
@@ -293,7 +293,7 @@
   
 * The ``--hardlink`` option to ``branch`` and ``checkout`` is not
   supported at the moment on workingtree formats that can do content
-  filtering.  (See <https://bugs.edge.launchpad.net/bzr/+bug/408193>.)
+  filtering.  (See <https://bugs.launchpad.net/bzr/+bug/408193>.)
   bzr now says so, rather than just ignoring the option.  (Martin Pool)
 
 * There was a bug in ``osutils.relpath`` that was only triggered on

=== modified file 'doc/en/release-notes/bzr-2.0.txt'
--- doc/en/release-notes/bzr-2.0.txt	2010-10-08 08:15:14 +0000
+++ doc/en/release-notes/bzr-2.0.txt	2010-12-02 10:43:55 +0000
@@ -5,6 +5,42 @@
 .. toctree::
    :maxdepth: 1
 
+bzr 2.0.7
+#########
+
+:2.0.7: NOT RELEASED YET
+
+Compatibility Breaks
+********************
+
+* Launchpad has announced that the ``edge.launchpad.net`` instance is
+  deprecated and may be shut down in the future
+  <http://blog.launchpad.net/general/edge-is-deprecated>.  Bazaar has therefore
+  been updated in this release to talk to the main (``launchpad.net``) servers,
+  rather than the ``edge`` ones. (Vincent Ladeuil, #583667)
+
+New Features
+************
+
+Bug Fixes
+*********
+
+Improvements
+************
+
+Documentation
+*************
+
+API Changes
+***********
+
+Internals
+*********
+
+Testing
+*******
+
+
 bzr 2.0.6
 #########
 

=== modified file 'doc/en/release-notes/bzr-2.1.txt'
--- doc/en/release-notes/bzr-2.1.txt	2010-10-13 00:43:19 +0000
+++ doc/en/release-notes/bzr-2.1.txt	2010-12-02 10:41:05 +0000
@@ -13,6 +13,12 @@
 Compatibility Breaks
 ********************
 
+* Launchpad has announced that the ``edge.launchpad.net`` instance is
+  deprecated and may be shut down in the future
+  <http://blog.launchpad.net/general/edge-is-deprecated>.  Bazaar has therefore
+  been updated in this release to talk to the main (``launchpad.net``) servers,
+  rather than the ``edge`` ones. (Vincent Ladeuil, #583667)
+
 New Features
 ************
 

=== modified file 'doc/en/release-notes/bzr-2.2.txt'
--- doc/en/release-notes/bzr-2.2.txt	2010-11-26 15:57:20 +0000
+++ doc/en/release-notes/bzr-2.2.txt	2010-12-02 14:21:49 +0000
@@ -5,6 +5,41 @@
 .. toctree::
    :maxdepth: 1
 
+bzr 2.2.3
+#########
+
+:2.2.3: NOT RELEASED YET
+
+Compatibility Breaks
+********************
+
+* Launchpad has announced that the ``edge.launchpad.net`` instance is
+  deprecated and may be shut down in the future
+  <http://blog.launchpad.net/general/edge-is-deprecated>.  Bazaar has therefore
+  been updated in this release to talk to the main (``launchpad.net``) servers,
+  rather than the ``edge`` ones. (Vincent Ladeuil, #583667)
+
+New Features
+************
+
+Bug Fixes
+*********
+
+Improvements
+************
+
+Documentation
+*************
+
+API Changes
+***********
+
+Internals
+*********
+
+Testing
+*******
+
 bzr 2.2.2
 #########
 
@@ -28,7 +63,7 @@
   is a conflict).  (Andrew Bennetts, #603395)
   
 * Correctly set the Content-Type header when http POSTing to comply
-  with stricter web frameworks. (Vincent Ladeuil, #655100)
+  with stricter web frameworks. (Vincent Ladeuil, #665100)
 
 * ``NotBranchError`` no longer allows errors from calling
   ``bzrdir.open_repository()`` to propagate.  This is unhelpful at best,

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2010-11-29 01:23:53 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2010-12-02 10:41:05 +0000
@@ -15,6 +15,7 @@
 
 .. These may require users to change the way they use Bazaar.
 
+
 New Features
 ************
 

=== modified file 'doc/en/whats-new/whats-new-in-2.1.txt'
--- doc/en/whats-new/whats-new-in-2.1.txt	2010-02-19 05:08:31 +0000
+++ doc/en/whats-new/whats-new-in-2.1.txt	2010-12-02 09:21:11 +0000
@@ -62,6 +62,16 @@
 or just say ``today`` (instead of saying ``date:today``). Prefixes
 are now only required if the revision spec could be ambiguous.
 
+Launchpad compatibility
+-----------------------
+
+Launchpad has `announced
+<http://blog.launchpad.net/general/edge-is-deprecated>`_ that the
+``edge.launchpad.net`` instance is deprecated and may be shut down in the
+future . Bazaar has therefore been updated in this release to talk to the main
+(``launchpad.net``) servers, rather than the ``edge`` ones (the same code is
+running on both servers during the interim).
+
 
 New ignore patterns
 -------------------

=== modified file 'setup.py'
--- setup.py	2010-11-10 11:15:50 +0000
+++ setup.py	2010-12-02 10:41:05 +0000
@@ -291,11 +291,11 @@
         # The code it generates re-uses a "local" pointer and
         # calls "PY_DECREF" after having set it to NULL. (It mixes PY_XDECREF
         # which is NULL safe with PY_DECREF which is not.)
-        # <https://bugs.edge.launchpad.net/bzr/+bug/449372>
-        # <https://bugs.edge.launchpad.net/bzr/+bug/276868>
+        # <https://bugs.launchpad.net/bzr/+bug/449372>
+        # <https://bugs.launchpad.net/bzr/+bug/276868>
         print('Cannot build extension "bzrlib._dirstate_helpers_pyx" using')
-        print('your version of pyrex "%s". Please upgrade your pyrex' % (
-            pyrex_version,))
+        print('your version of pyrex "%s". Please upgrade your pyrex'
+              % (pyrex_version,))
         print('install. For now, the non-compiled (python) version will')
         print('be used instead.')
     else:

=== modified file 'tools/check-newsbugs.py'
--- tools/check-newsbugs.py	2010-09-20 12:05:38 +0000
+++ tools/check-newsbugs.py	2010-12-02 10:41:05 +0000
@@ -28,7 +28,7 @@
 
 
 def report_notmarked(bug, task, section):
-    print 
+    print
     print "Bug %d was mentioned in NEWS but is not marked fix released:" % (bug.id, )
     print "Launchpad title: %s" % bug.title
     print "NEWS summary: "
@@ -83,7 +83,7 @@
             print '%s is private and cannot be accessed' % (bugno,)
             continue
         raise
-     
+
     found_bzr = False
     fix_released = False
     for task in bug.bug_tasks:

